Bug 981857 - [abrt] cobbler-2.2.3-2.fc17: tftpd.py:51:<module>:ImportError: No module named tornado.ioloop
[abrt] cobbler-2.2.3-2.fc17: tftpd.py:51:<module>:ImportError: No module name...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cobbler (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: James C.
Fedora Extras Quality Assurance
abrt_hash:2901d299b73fcd9c875895c9740...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-06 08:16 EDT by frank.schletz
Modified: 2013-07-31 21:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 21:14:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.36 KB, text/plain)
2013-07-06 08:16 EDT, frank.schletz
no flags Details
File: environ (196 bytes, text/plain)
2013-07-06 08:16 EDT, frank.schletz
no flags Details

  None (edit)
Description frank.schletz 2013-07-06 08:16:36 EDT
Description of problem:
try cobbler

Version-Release number of selected component:
cobbler-2.2.3-2.fc17

Additional info:
cmdline:        /usr/bin/python /usr/sbin/tftpd.py -B 1380 -v -v
core_backtrace: dea6fae6477105bf133817aa37d92de7b265f0cc 0x33 <module> /usr/sbin/tftpd.py -
executable:     /usr/sbin/tftpd.py
kernel:         3.9.8-100.fc17.x86_64
last_occurrence: 1373112943
runlevel:       N 5
uid:            99
ureports_counter: 2

Truncated backtrace:
tftpd.py:51:<module>:ImportError: No module named tornado.ioloop

Traceback (most recent call last):
  File "/usr/sbin/tftpd.py", line 51, in <module>
    import tornado.ioloop as ioloop
ImportError: No module named tornado.ioloop

Local variables in innermost frame:
xmlrpclib: <module 'xmlrpclib' from '/usr/lib64/python2.7/xmlrpclib.pyc'>
errno: <module 'errno' (built-in)>
tftpboot_location: <function tftpboot_location at 0x1a4e8c0>
__package__: None
re: <module 're' from '/usr/lib64/python2.7/re.pyc'>
__doc__: "\nSYNOPSIS\n    tftpd.py [-h,--help] [-v,--verbose] [-d,--debug] [--version]\n             [--port=<port>(69)]\n\nDESCRIPTION\nA python, cobbler integrated TFTP server.  It is suitable to call via\nxinetd, or as a stand-alone daemon.  If called via xinetd, it will run,\nhandling requests, until it has been idle for at least 30 seconds, and\nwill then exit.\n\nThis server queries cobbler for information about hosts that make requests,\nand will instantiate template files from the materialized hosts' \n'fetchable_files' attribute.\n\nEXIT STATUS\n\nAUTHOR\n    Douglas Kilpatrick <kilpatds@oppositelock.org>\n\nLICENSE\n    This script is in the public domain, free from copyrights or restrictions\n\nVERSION\n    0.5\n\nTODO\n    Requirement: retransmit\n    Requirement: Ignore stale retrainsmits\n    Security:    only return files that are o+r\n    Security:    support hosts.allow/deny\n    Security:    Make absolute path support optional, and default off\n    Feature:     support blksize2 (blksize, limited to powers of 2)\n    Feature:     support utimeout (timeout, in ms)\n\n"
deque: <type 'collections.deque'>
stat: <module 'stat' from '/usr/lib64/python2.7/stat.pyc'>
__builtins__: <module '__builtin__' (built-in)>
__file__: '/usr/sbin/tftpd.py'
sys: <module 'sys' (built-in)>
pwd: <module 'pwd' (built-in)>
VERSION: 0.5
__name__: '__main__'
logging: <module 'logging' from '/usr/lib64/python2.7/logging/__init__.pyc'>
socket: <module 'socket' from '/usr/lib64/python2.7/socket.pyc'>
os: <module 'os' from '/usr/lib64/python2.7/os.pyc'>
traceback: <module 'traceback' from '/usr/lib64/python2.7/traceback.pyc'>
local_get_cobbler_api_url: <function local_get_cobbler_api_url at 0x1a50578>
time: <module 'time' from '/usr/lib64/python2.7/lib-dynload/timemodule.so'>
fnmatch: <function fnmatch at 0x16237d0>
optparse: <module 'optparse' from '/usr/lib64/python2.7/optparse.pyc'>
Comment 1 frank.schletz 2013-07-06 08:16:42 EDT
Created attachment 769573 [details]
File: backtrace
Comment 2 frank.schletz 2013-07-06 08:16:45 EDT
Created attachment 769574 [details]
File: environ
Comment 3 Fedora End Of Life 2013-07-31 21:14:44 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.